GNU bug report logs - #31907
New users get wrong/old profile path to guix after reconfiguring

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia <swedebugia@HIDDEN>; dated Wed, 20 Jun 2018 03:20:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 31907 <at> debbugs.gnu.org:


Received: (at 31907) by debbugs.gnu.org; 26 Jun 2018 15:10:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 11:10:44 2018
Received: from localhost ([127.0.0.1]:36372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXpcC-0001Id-17
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 11:10:44 -0400
Received: from imap.rdsor.ro ([193.231.238.8]:50712 helo=mail.rdsor.ro)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dan_partelly@HIDDEN>) id 1fXmPt-0004ZC-LR
 for 31907 <at> debbugs.gnu.org; Tue, 26 Jun 2018 07:45:51 -0400
Received: from [192.168.1.114] (unknown [82.77.55.168])
 by mail.rdsor.ro (Postfix) with ESMTP id 4409940561;
 Tue, 26 Jun 2018 14:45:48 +0300 (EEST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 11.3 \(3445.6.18\))
Subject: Re: bug#31907: New users get wrong/old profile path to guix after
 reconfiguring
From: Dan Partelly <dan_partelly@HIDDEN>
In-Reply-To: <68c050778b26c874e04e2b34703cc363@HIDDEN>
Date: Tue, 26 Jun 2018 14:45:47 +0300
Content-Transfer-Encoding: quoted-printable
Message-Id: <7D5D202B-781A-453A-B8A7-EA8DB38451C6@HIDDEN>
References: <022CFE10-F1D7-4C39-BBFE-473F82165F47@HIDDEN>
 <87sh5hp2e0.fsf@HIDDEN> <68c050778b26c874e04e2b34703cc363@HIDDEN>
To: swedebugia <swedebugia@HIDDEN>
X-Mailer: Apple Mail (2.3445.6.18)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 31907
X-Mailman-Approved-At: Tue, 26 Jun 2018 11:10:42 -0400
Cc: 31907 <at> debbugs.gnu.org, ludo@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Well, I wondered myself , and I was palning to test when I arrive home =
today.

But here is my take:

1. Premise: The system configuration is declarative. The declarative =
state should be obeyed all times by the system
2. Implication: running a guix pull (or any other form of update) as any =
user should not do anything to the guix stored in the system profile
3. Implication: updates of binaries in the system profile should never =
be  triggered by anything else than a guix reconfigure
4. Implication  creating a new user should result in him seeing the base =
state of the system , as left by guix reconfigure . It should never see =
any version installed by any other user , root included.

Now the issues:

- Although the system is declarative, once you run guix config / guys =
reconfigure you do not know the whole state of the system. Arbitrary =
package versions are installed, and reconfigure will arbitrary update =
those packages
- the only way I seen to have consistent state is to lock all system =
packages to a known version, and reconfigure should obey the lock.
-running guix reconfigure is an  issue at the current time.  It is =
because unless you lock each  package @version (and I did not tried t =
see if this works , a developer should confirm, or point to some good =
workarround) adding a user, changing system configuration in some othe =
small way=20
  seems to trigger a rebuild
- there is no guarantee that GuixSD will offer you a substitution =
instead of building the derivation. Which if you are unfortunate to =
update a package for which is not prebuilt substitution you will end up =
looking at compiles wearing out your time.=20
-it may cause rebuild of critical system daemons, then, guess what, stop =
them and reload. You have to be very careful and run dry builds to see =
if anyone touches your system services, cause you do not want unplanned =
service outage on a server.=20
-it reports success even if it fails to bring the system in the required =
state. For example for me reconfigure failed to restart 2 services it =
stopped, but it happily reported all went ok=20
- guix is still broken for me: reconfiguring the system results in build =
errors sometimes. Also results in service errors , like home service not =
being able to be restarted.=20
- guix pull  inflicts all the wrongs of the universe upon its users. No =
critical system utility should ever update itself from the bleeding edge =
of a source repository. No matter how genius the developer is, it will =
always break in too many ways. This is very bad practice.
- guix reconfigure without locked packages does the same offense. will =
try to update to a version of itself derived directly from development.=20=


Tools:
 =20
-  guix still lacks the tools to make sense as a user of what is =
happening. For example, a guix diff which gives insight what exactly =
triggered a rebuild. I could not find such a thing.=20
-  other tools to keep under control the rebuilding happiness. I have =
better things to do on my system then looking at walls of compiling , =
donno for others. I want to add a user , not trigger compiles :P





> On Jun 26, 2018, at 14:06, swedebugia@HIDDEN wrote:
>=20
> ou could ask: why care about the guix version in the system
> profile at all? It is not used as soon as you run guix pull or =
populated
> the .config/guix some other way and adjusted the this to preceede in =
the
> PATH.
> <sdb> I care because if I create a new user via config.scm they by
> default get access to an outdated guix when a newer is available. This
> is in my view a bug.






Information forwarded to bug-guix@HIDDEN:
bug#31907; Package guix. Full text available.

Message received at 31907 <at> debbugs.gnu.org:


Received: (at 31907) by debbugs.gnu.org; 26 Jun 2018 11:06:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 26 07:06:04 2018
Received: from localhost ([127.0.0.1]:35675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fXlnQ-0001eX-IA
	for submit <at> debbugs.gnu.org; Tue, 26 Jun 2018 07:06:04 -0400
Received: from mx1.riseup.net ([198.252.153.129]:59871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1fXlnO-0001eP-Hw
 for 31907 <at> debbugs.gnu.org; Tue, 26 Jun 2018 07:06:03 -0400
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B5DFD1A04B1;
 Tue, 26 Jun 2018 04:06:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1530011161; bh=HVJ734WzUc+aBLzgV1izCjqLGlRINDKMKg9dy9LJxDE=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=R0N1SC3xXvHpEeOyNWtiBahA0ftDFrhvnkZFBkE3YBLgfPp1rTELYeofppsMiAV3R
 IZfL93+leML+2JqkPLUOvPZZo5kMZ1ADhhoEiVy3rLOVd/kQvY2CXzTaQZ05O4iiDo
 fSmQsqVQyF3tZ8aiumpnROIbr04J7FizOwlHpGQ8=
X-Riseup-User-ID: 4723C178FED68C564AFC7EAD5E3063E57D47E528E0ABE6A6026F05F521C119EE
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 86C4A41B81;
 Tue, 26 Jun 2018 04:06:01 -0700 (PDT)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Tue, 26 Jun 2018 04:06:01 -0700
From: swedebugia@HIDDEN
To: ludo@HIDDEN
Subject: Re: bug#31907: New users get wrong/old profile path to guix after
 reconfiguring
In-Reply-To: <87sh5hp2e0.fsf@HIDDEN>
References: <022CFE10-F1D7-4C39-BBFE-473F82165F47@HIDDEN>
 <87sh5hp2e0.fsf@HIDDEN>
Message-ID: <68c050778b26c874e04e2b34703cc363@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 31907
Cc: 31907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-06-20 23:35, ludo@HIDDEN wrote:
> Hello swedebugia,

..snip 
 
> ~/.config/guix/current is created by the new ‘guix pull’.  So when
> coming from 0.14, you actually need to run it twice: the first run will
> give you the new ‘guix pull’, and the second run will actually run the
> new code and create ~/.config/guix/current.

I understand. This is not the problem.

I wrote yesterday on #guix:

<sdb> hi guix
<sdb> I wonder if any of "pull" or "system reconfigure" update the guix
in the system profile?
<sdb> My system profile in sdb1@antelope ~$ ls -l
/run/current-system/profile/bin/guix
<sdb> lrwxrwxrwx 2 root root 75  1 jan  1970
/run/current-system/profile/bin/guix ->
/gnu/store/avg3vnk6p752z8iwld6yzv1wg7ki48vp-guix-0.14.0-13.7af5c2a/bin/guix
<sdb> even though I have pulled and reconfigured multiple times:
<sdb> as root
<sdb> root@antelope /home/sdb1# guix pull -l
<sdb> Generation 1 jun 18 2018 19:26:00
<sdb>   guix b4eae99
<sdb>     repository URL: https://git.savannah.gnu.org/git/guix.git
<sdb>     commit: b4eae997fe5b928f179c34d281e9f2c3eccd3670
<sdb> Generation 2 jun 22 2018 20:48:03 (current)
<sdb>   guix 8edebd3
<sdb>     repository URL: https://git.savannah.gnu.org/git/guix.git
<sdb>     commit: 8edebd3207335aff15081458e895104ac9f45d3d
<sdb> You could ask: why care about the guix version in the system
profile at all? It is not used as soon as you run guix pull or populated
the .config/guix some other way and adjusted the this to preceede in the
PATH.
<sdb> I care because if I create a new user via config.scm they by
default get access to an outdated guix when a newer is available. This
is in my view a bug.

Maybe its me who do not fully understand how system profiles is supposed
to work. I tried looking into the source but it was not clear to me how
it is supposed to work together.

The manual does not mention when/how the system profile gets updated. I
supposed it happens when a new profile derivation is built during
reconfigure. Maybe this is not correct. Maybe guix is supposed to be in
the system profile after all (I dont specify it in my config.scm ATM and
none of the templates do either)

Cheers
sdb




Information forwarded to bug-guix@HIDDEN:
bug#31907; Package guix. Full text available.

Message received at 31907 <at> debbugs.gnu.org:


Received: (at 31907) by debbugs.gnu.org; 20 Jun 2018 21:35:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 20 17:35:44 2018
Received: from localhost ([127.0.0.1]:58025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fVklU-0004hB-88
	for submit <at> debbugs.gnu.org; Wed, 20 Jun 2018 17:35:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fVklT-0004gz-HE
 for 31907 <at> debbugs.gnu.org; Wed, 20 Jun 2018 17:35:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fVklN-0000UE-Jb
 for 31907 <at> debbugs.gnu.org; Wed, 20 Jun 2018 17:35:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35196)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fVklN-0000UA-GO; Wed, 20 Jun 2018 17:35:37 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=41884 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fVklN-0005fN-3e; Wed, 20 Jun 2018 17:35:37 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: swedebugia <swedebugia@HIDDEN>
Subject: Re: bug#31907: New users get wrong/old profile path to guix after
 reconfiguring
References: <022CFE10-F1D7-4C39-BBFE-473F82165F47@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 2 Messidor an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 20 Jun 2018 23:35:35 +0200
In-Reply-To: <022CFE10-F1D7-4C39-BBFE-473F82165F47@HIDDEN> (swedebugia's
 message of "Wed, 20 Jun 2018 05:18:57 +0200")
Message-ID: <87sh5hp2e0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31907
Cc: 31907 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello swedebugia,

swedebugia <swedebugia@HIDDEN> skribis:

> Steps to reproduce:
> Install 0.14
> Init system with user a
> Login root
> Guix pull
> Make sure it has right paths to .config/guix/current
> Reconfigure with new user b
> Reboot
> Login user b
>
> When logging in slim? populates the dot-files and a  .guix-profile is cre=
ated with path to old guix. No .config/guix/current exist.=20

~/.config/guix/current is created by the new =E2=80=98guix pull=E2=80=99.  =
So when
coming from 0.14, you actually need to run it twice: the first run will
give you the new =E2=80=98guix pull=E2=80=99, and the second run will actua=
lly run the
new code and create ~/.config/guix/current.

Could it be the reason you didn=E2=80=99t see ~/.config/guix/current?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31907; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jun 2018 03:19:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 19 23:19:19 2018
Received: from localhost ([127.0.0.1]:56800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fVTeR-0006aL-8S
	for submit <at> debbugs.gnu.org; Tue, 19 Jun 2018 23:19:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1fVTeP-0006a8-Hw
 for submit <at> debbugs.gnu.org; Tue, 19 Jun 2018 23:19:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1fVTeJ-0006ba-BY
 for submit <at> debbugs.gnu.org; Tue, 19 Jun 2018 23:19:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,HTML_MESSAGE,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:57189)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1fVTeJ-0006bO-6C
 for submit <at> debbugs.gnu.org; Tue, 19 Jun 2018 23:19:11 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46808)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1fVTeI-0003Rr-8N
 for Bug-guix@HIDDEN; Tue, 19 Jun 2018 23:19:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1fVTeF-0006YU-4n
 for Bug-guix@HIDDEN; Tue, 19 Jun 2018 23:19:10 -0400
Received: from mx1.riseup.net ([198.252.153.129]:44953)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1fVTeE-0006Xx-RH
 for Bug-guix@HIDDEN; Tue, 19 Jun 2018 23:19:07 -0400
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id C7D621A0A4E
 for <Bug-guix@HIDDEN>; Tue, 19 Jun 2018 20:19:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1529464745; bh=zuMoWn/KU8gMGXip1t9R2CINPM5eY5ydsDoZmgf8Rxg=;
 h=Date:Subject:To:From:From;
 b=b74TARzblL6rbvx2DPYd68VyqFBYsUbSFCwT68frxKdARL90HyGoY2g2BFqad3p03
 IjZWJbcUyjHa4p5d+SZdvCeWfhl8F+qsY2YvyCu00rhv0vhS581Qdo7Ru4BDpfPYve
 5QuYIFXDkx5Fgvtc7wIoNqUCRTcvY4hPBzBZncC8=
X-Riseup-User-ID: 60FA1F64E5BCB2852E5BAC78B9BDF9345C2809E5872ED340CAD18D146C63F574
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 9BFFF40C59
 for <Bug-guix@HIDDEN>; Tue, 19 Jun 2018 20:19:04 -0700 (PDT)
Date: Wed, 20 Jun 2018 05:18:57 +0200
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----TIPB7AUQFT3ZXNIPI4HAVCJKC173YD"
Content-Transfer-Encoding: 7bit
Subject: New users get wrong/old profile path to guix after reconfiguring 
To: Bug-guix@HIDDEN
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <022CFE10-F1D7-4C39-BBFE-473F82165F47@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

------TIPB7AUQFT3ZXNIPI4HAVCJKC173YD
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi

Steps to reproduce:
Install 0=2E14
Init system with user a
Login root
Guix pull
Make sure it has right paths to =2Econfig/guix/current
Reconfigure with new user b
Reboot
Login user b

When logging in slim? populates the dot-files and a  =2Eguix-profile is cr=
eated with path to old guix=2E No =2Econfig/guix/current exist=2E=20
--=20
Cheers Swedebugia 
------TIPB7AUQFT3ZXNIPI4HAVCJKC173YD
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi<br>
<br>
Steps to reproduce:<br>
Install 0=2E14<br>
Init system with user a<br>
Login root<br>
Guix pull<br>
Make sure it has right paths to =2Econfig/guix/current<br>
Reconfigure with new user b<br>
Reboot<br>
Login user b<br>
<br>
When logging in slim? populates the dot-files and a  =2Eguix-profile is cr=
eated with path to old guix=2E No =2Econfig/guix/current exist=2E <br>
-- <br>
Cheers Swedebugia 
------TIPB7AUQFT3ZXNIPI4HAVCJKC173YD--




Acknowledgement sent to swedebugia <swedebugia@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31907; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 26 Jun 2018 15:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.